'use strict';

(function($) {

	// Event Scroll
	 function scrollFn() {
		setTimeout(function(){

		var dScroll = $(document).scrollTop(),
		evTitle = $('#event').attr('data-name');

		if (evTitle != undefined) {
		var evTitleTruncate = evTitle.substring(0,30);
		}

		if ( dScroll > 180 ) {
		$('#event').addClass('min');
		$('#evTitle').html(evTitleTruncate + '...');
		$('#news-heading').show();
		$('#overlay').hide();
		} else {
		$('#event').removeClass('min');
		$('#evTitle').html(evTitle);
		$('#news-heading').hide();
		$('#overlay').show();
		}

		}, 200);
	}
	/*function scrollFn() {

		var dScroll 		= $(document).scrollTop(),
			evTitle 		= $('#event').attr('data-name');

		if (evTitle != undefined) {
			var evTitleTruncate = evTitle.substring(0,30);
		}

		if ( dScroll > 180 ) {
			$('#event').addClass('min');
			$('#evTitle').html(evTitleTruncate + '...');
			$('#news-heading').show();
			$('#overlay').hide();
		} else {
			$('#event').removeClass('min');
			$('#evTitle').html(evTitle);
			$('#news-heading').hide();
			$('#overlay').show();
		}

	}*/

	$(document).on('touchmove', function() {

		scrollFn();

	}).on('touchstart', function() {

		scrollFn();

	}).on('touchend', function() {

		scrollFn();

	}).scroll(function() {

		scrollFn();

	});

	// Favorite Button
	$(document).on('click', '#fav', function() {

		var evt 			= $(this),
			evtObj			= {},
			evtAlias		= evt.val();

		evtObj.alias 		= evt.val();
		evtObj.name 		= evt.attr('name');
		evtObj.ind 			= evt.attr('data-index');
		evtObj.year 		= evt.attr('data-year');
		evtObj.date 		= evt.attr('data-date');
		evtObj.summary 		= evt.attr('data-summary');
		evtObj.totEvents	= evt.attr('data-total');

		if (localStorage.getItem(evtAlias) === null) {
			localStorage.setItem(evtAlias, JSON.stringify(evtObj));
			evt.html('<i class="fa fa-bookmark"></i>');
			$('#favOverlay').html('<i class="fa fa-check"></i><p>Guardado como favorito</p>').fadeIn('fast').delay(700).fadeOut('fast');
		} else {
			localStorage.removeItem(evtAlias);
			evt.html('<i class="fa fa-bookmark-o"></i>');
			$('#favOverlay').html('<i class="fa fa-times"></i><p>Borrado de favoritos</p>').fadeIn('fast').delay(700).fadeOut('fast');
		}

	});


	// Accordion
	$(document).on('click', '.accordion h5 a', function() {

		$('.accordion ul').css('display','none');
		$(this).parent().parent().find('ul').toggle();

	});

    // localStorage.clear();

})(jQuery);