'use strict';

/* Services */

var services = angular.module('services', ['ngResource']);

// Events query
services.factory('Event', ['$resource', function($resource){
    return $resource('data/json_files/json_eventos/:eventId.json', {}, {
      query: {method:'GET', params:{eventId:'events'}, isArray:true}
    });
  }]);


// Trivias query
services.factory('Trivia', ['$resource', function($resource){
    return $resource('data/json_files/trivia.json', {}, {
      query: {method:'GET', params:{}, isArray:true}
    });
  }]);


// Trivias query
services.factory('Frases', ['$resource', function($resource){
    return $resource('data/json_files/frases.json', {}, {
      query: {method:'GET', params:{}, isArray:true}
    });
  }]);


// Categories query
services.factory('Cats', ['$resource', function($resource){
    return $resource('data/json_files/categories.json', {}, {
      query: {method:'GET', params:{}, isArray:true}
    });
  }]);